Database schema is from a younger build and can not be downgraded to version <<version number>>

0 Likes

Problem

Why do I receive the error "Database schema is from a younger build and can not be downgraded to version <<version number>>" while trying to connect to SCTM database from SCTM?

 

Resolution

The error message indicates that you are trying to connect to an upgraded database from an older version of SCTM.

Assuming you are currently using SCTM 15 and then you installed SCTM 15.5 and tried to connect to SCTM 15 database. In such scenario, SCTM will automatically upgrade the database to SCTM 15.5. Subsequently, if you try to connect to the upgraded database from SCTM 15, you will be shown with the error message :

 "Database schema is from a younger build and can not be downgraded to version <<Version number>>"

Once the database has been upgraded, it is not possible to downgrade. You have 2 options to resolve the error:

Option 1 : Use the SCTM version corresponding to the database schema. In other words, use SCTM 15.5 to connect to the upgraded database.

Option 2: Restore the database backup that was taken before the upgrade. Use the restored database to connect from SCTM 15.

Comment List
Anonymous
Related Discussions
Recommended